#####################################################################
# EJ(20170310)
# Tables
#####################################################################

load("RData.med")
load("RData.nea")

#====================================================================
# Information source
#====================================================================

tabsrc <- unique(sam[,c("stk", "asses_year", "Assessment_URL", "source")])
tabsrc$Area <- "FAO37"
names(tabsrc) <- c("Stock","Assessment year", "Report", "Source")

df1 <- unique(saeu[,c("FishStock", "AssessmentYear", "Report")])
df1$source <- "ICES"
df1$Area <- "FAO27"
names(df1) <- names(tabsrc)

tabsrc <- rbind(tabsrc, df1)

write.csv(tabsrc, file="tabsrc.csv", row.names=FALSE)

#====================================================================
# Results in final year
#====================================================================

tab <- subset(sam, year == 2015)
ysa <- tapply(sam$year, sam$stk, max)
tab <- rbind(tab, subset(sam, year == 2014 & stk %in% names(ysa[ysa==2014])))
tab <- rbind(tab, subset(sam, year == 2013 & stk %in% names(ysa[ysa==2013])))
tab$EcoRegion <- "Western Med."
tab[tab$Area %in% c("12_13_14_15_16", "17", "17_18", "17_18_19", "18_19", "19"), "EcoRegion"] <- "Central Med."
tab[tab$Area =="25", "EcoRegion"] <- "Eastern Med."
tab[tab$Area =="29", "EcoRegion"] <- "Black sea"
tab <- tab[,c("EcoRegion", "year", "stk", "StockDescription", "indF")]
tab <- transform(tab, Fstatus=indF<=1)
tab$SBL <- NA
tab$CFP <- NA
tab$Region <- "FAO37"
tabres <- tab[,c("Region","EcoRegion","year","stk","StockDescription","indF","Fstatus","SBL", "CFP")]
names(tabres) <- c("Region", "EcoRegion","Year","Stock","Description","F ind","F status","SBL", "CFP")
tabres <- tabres[order(tabres$EcoRegion),]

tab <- subset(saeu, Year == 2015)
ysa <- tapply(saeu$Year, saeu$FishStock, max)
tab <- rbind(tab, subset(saeu, Year == 2014 & FishStock %in% names(ysa[ysa==2014])))
tab <- rbind(tab, subset(saeu, Year == 2013 & FishStock %in% names(ysa[ysa==2013])))
tab <- transform(tab, Fstatus=indF<=1, Region="FAO27")
tab[!is.na(tab$MSYBescapement),"indF"] <- NA
tab <- tab[,c("Region", "EcoRegion", "Year", "FishStock", "StockDescription", "indF", "Fstatus", "SBL","CFP")]
names(tab) <- names(tabres)
tab <- tab[order(tab$EcoRegion),]
tabres <- rbind(tabres, tab)

write.csv(tabres, file="tabStkStatus.csv", row.names=FALSE)


